import java.util.InputMismatchException;
import java.util.Scanner;

public class Cuadrado {
    public static int calcularCuadrado(int x){
        System.out.println("Usando metodo con variable int");
        return x*x;
    }

    public static float calcularCuadrado(float x){
        System.out.println("Usando metodo con variable float");
        return x*x;
    }

    public static double calcularCuadrado(double x){
        System.out.println("Usando metodo con variable double");
        return x*x;
    }

    public static void main(String[] args){
        Scanner in = new Scanner(System.in);
        String numero = "";
        int numeroInt = 0;
        float numeroFloat = 0f;
        double numeroDouble = 0;

        try {
            numero = in.nextLine();
            numeroInt = Integer.parseInt(numero);
            numeroFloat = Float.parseFloat(numero);
            numeroDouble = Double.parseDouble(numero);
        }catch (Exception e) {
            System.out.println("El numero proveido no es un entero");
        }
        System.out.println(calcularCuadrado(numeroInt));
        System.out.println(calcularCuadrado(numeroDouble));
        System.out.println(calcularCuadrado(numeroFloat));
    }
}
