import java.util.InputMismatchException;
import java.util.Scanner;

public class leguageSelector {
    /*
    *Clase con do while para seleccion de lenguaje.
     */
    public static void main(String []args){
        String[] lenguajes = {"PHP", "Java", "Python", "Ruby", "R"};
        String[] descipciones = {"Descipcion de PHP", "Descipcion de Java", "Descipcion de Python",
                "Descipcion de Ruby", "Descipcion de R"};

        Scanner in = new Scanner(System.in);
        int choice = 6;

        do {
            System.out.println("Seleccione un lenguaje: ");
            for(int i=0;i<5;i++){
                System.out.println((i+1) +" - " + lenguajes[i]);
            }
            System.out.println("6 - Salir");
            try {
                choice = in.nextInt();
            }catch (InputMismatchException e) {
                System.out.println("El numero proveido no es un entero");
                break;
            }

            if(choice <= 0 || choice > 6){
                System.out.println("Su eleccion esta fuera de rango");
                break;
            }else if(choice == 6){
                System.out.println("Saliendo");
                break;
            }
            System.out.println(descipciones[choice - 1]);
        }while(choice!=6);

    }
}
